#include <iostream>

using namespace std;

int main()
{
    int N,K,zameniPolje=0;
    cin>>N>>K;
    int A[N];
    for(int i = 0; i < N; i++)
        cin >> A[i];

    int vidjen[N];
    for(int i = 0; i < N; i++)
        vidjen[i] = 0;

    for(int i = 0; i < N; i++)
    {
        if(vidjen[i] == 0)
        {
            int count = 0;
            for(int j = i; j < N; j++)
                if(A[j] == A[i])
                {
                    count ++;
                    vidjen[j] = 1;
                }
                if(count>=K)
                {
                    zameniPolje++;
                }
        }
    }
    cout<<zameniPolje<<endl;
    for(int i = 0; i < N; i++)
        vidjen[i] = 0;

    for(int i = 0; i < N; i++)
    {
        if(vidjen[i] == 0)
        {
            int count = 0;
            for(int j = i; j < N; j++)
                if(A[j] == A[i])
                {
                    count ++;
                    vidjen[j] = 1;
                }
                if(count>=K)
            cout << A[i] <<" ";
        }
    }
 return 0;
}